﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

body {
    font-family: Arial, sans-serif;
    background-color: white;
}

header, main {
    display: block;
}

.header-top {
    color: white;
    -webkit-transition: all .8s ease 0s;
    -moz-transition: all .8s ease 0s;
    -ms-transition: all .8s ease 0s;
    -o-transition: all .8s ease 0s;
    transition: all .8s ease 0s;
    background-color: rgba(0, 0, 0, 0.85);
    border-color: #080808;
    box-shadow: 0 1px 4px rgba(0, 0, 0, .3);
    padding: 0px 0px 15px;
    position: fixed;
    right: 0;
    left: 0;
    z-index: 9999;
}

#testimonials {
    background-image: url('../images/laos-bg.png');
    padding: 0px 0px 50px;
    color: #fff;
    background-attachment: fixed;
    background-position: center top;
    background-repeat: no-repeat;
    background-size: cover;
}

.result-cover {
    position: relative;
    margin-bottom: 35px;
    padding: 25px 0px 50px 0px;
    border-top: 1px solid rgba(0, 0, 0, .19);
    -webkit-box-shadow: 0 4px 5px rgba(0, 0, 0, .19);
    -moz-box-shadow: 0 4px 5px rgba(0, 0, 0, .19);
    box-shadow: 0 4px 5px rgba(0, 0, 0, .19);
}

.row {
    margin-right: 0px;
    margin-left: 0px;
}

.carousel-zone {
    flex: 1;
    height: 105px;
    margin: 0px 1px;
    background-image: url('../images/loas-mask.png');
    background-position: center center;
    background-size: cover;
}

.carousel-cover {
    margin: 10px auto 0;
    width: 30px;
    height: 30px;
    perspective: 1000px;
    border: 2px solid red;
    background-color: white;
}

.carousel {
    height: 100%;
    width: 100%;
    position: absolute;
    transform-style: preserve-3d;
    transition: transform 0.05s ease-in;
}

.result-spin, .fake-mask {
    padding: 15px 0 10px;
}

.fake-mask {
    margin-bottom: -130px;
    background-color: rgba(39, 39, 39, 1);
}

.result-area {
    padding: 0px !important;
    /* background-color: red; */
    background-color: #21418e;
}

.result-spin .carousel-zone {
    opacity: 0;
}

.show-num {
    font-size: 3rem;
    font-weight: 600;
    color: white;
    transform: translateY(60px);
    transition: transform 0.5s;
    z-index: 1;
}

.fake-area {
    position: absolute;
    top: -72px;
    left: 0;
    width: 100%;
}

.item {
    font-size: 1.5rem;
    line-height: 2rem;
}

.item {
    display: block;
    position: absolute;
    width: 30px;
    height: 30px;
    text-align: center;
    color: #000000;
    box-sizing: border-box;
    z-index: -1;
    top: -2px;
    left: -2px;
    /* border cover 2 px */
}

.show-fake {
    font-size: 3rem;
    font-weight: 600;
    color: white;
    transition: all 0.5s;
    z-index: 0;
}

/* 36 = 360*10 => 0-9 is 10 number */

.zero {
    transform: rotateY(0deg) translateZ(45px);
}

.one {
    transform: rotateY(36deg) translateZ(45px);
}

.two {
    transform: rotateY(72deg) translateZ(45px);
}

.three {
    transform: rotateY(108deg) translateZ(45px);
}

.four {
    transform: rotateY(144deg) translateZ(45px);
}

.five {
    transform: rotateY(180deg) translateZ(45px);
}

.six {
    transform: rotateY(216deg) translateZ(45px);
}

.seven {
    transform: rotateY(252deg) translateZ(45px);
}

.eight {
    transform: rotateY(288deg) translateZ(45px);
}

.nine {
    transform: rotateY(324deg) translateZ(45px);
}

.mt-4 {
    margin-top: 50px;
}

.second-content {
    min-height: 350px;
    padding: 35px;
    background-image: url('../images/second-bg.jpg');
    background-attachment: fixed;
    background-position: center top;
    background-repeat: no-repeat;
    background-size: cover;
}

.section-portfolio {
    padding: 35px;
    background-image: url('../images/section-port.png');
}

@media only screen and (max-width: 414px) {
    .carousel-zone {
        height: 77px;
    }

    .result-cover {
        border-top: none;
        -webkit-box-shadow: none;
        -moz-box-shadow: none;
        box-shadow: none;
    }

    .carousel-cover {
        width: 20px;
        height: 20px;
    }

    .item {
        line-height: 1.35rem;
    }

    .item {
        width: 20px;
        height: 20px;
        font-size: 1.25rem;
    }

    .zero {
        transform: rotateY(0deg) translateZ(30px);
    }

    .one {
        transform: rotateY(36deg) translateZ(30px);
    }

    .two {
        transform: rotateY(72deg) translateZ(30px);
    }

    .three {
        transform: rotateY(108deg) translateZ(30px);
    }

    .four {
        transform: rotateY(144deg) translateZ(30px);
    }

    .five {
        transform: rotateY(180deg) translateZ(30px);
    }

    .six {
        transform: rotateY(216deg) translateZ(30px);
    }

    .seven {
        transform: rotateY(252deg) translateZ(30px);
    }

    .eight {
        transform: rotateY(288deg) translateZ(30px);
    }

    .nine {
        transform: rotateY(324deg) translateZ(30px);
    }
}

@media only screen and (min-width: 768px) {
    .container {
        max-width: 768px;
    }
}